com.genesyslab.wfm7.API.service.config761

## Class CfgShiftHolder

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgShiftHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgShiftHolder
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private CfgBreakShort[]` | `breakInfo`
    `private int` | `breakInfoNSizeIs`
    `private CfgContractShort[]` | `contractInfo`
    `private int` | `contractInfoNSizeIs`
    `private CfgMealShort[]` | `mealInfo`
    `private int` | `mealInfoNSizeIs`
    `private CfgShift[]` | `objectArray`
    `private int` | `objectArrayNSizeIs`
    `private int[]` | `objectIDArray`
    `private int` | `objectIDArrayNSizeIs`
    `private CfgShiftShort[]` | `objectShortArray`
    `private int` | `objectShortArrayNSizeIs`
    `private CfgTaskSequenceShort[]` | `taskSequenceInfo`
    `private int` | `taskSequenceInfoNSizeIs`
    `private long` | `timestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgShiftHolder()`
    `CfgShiftHolder(int objectIDArrayNSizeIs, int[] objectIDArray, int objectArrayNSizeIs, CfgShift[] objectArray, int objectShortArrayNSizeIs, CfgShiftShort[] objectShortArray, int contractInfoNSizeIs, CfgContractShort[] contractInfo, int breakInfoNSizeIs, CfgBreakShort[] breakInfo, int mealInfoNSizeIs, CfgMealShort[] mealInfo, int taskSequenceInfoNSizeIs, CfgTaskSequenceShort[] taskSequenceInfo, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `CfgBreakShort[]` | `getBreakInfo()` Gets the breakInfo value for this CfgShiftHolder.
    `int` | `getBreakInfoNSizeIs()` Gets the breakInfoNSizeIs value for this CfgShiftHolder.
    `CfgContractShort[]` | `getContractInfo()` Gets the contractInfo value for this CfgShiftHolder.
    `int` | `getContractInfoNSizeIs()` Gets the contractInfoNSizeIs value for this CfgShiftHolder.
    `CfgMealShort[]` | `getMealInfo()` Gets the mealInfo value for this CfgShiftHolder.
    `int` | `getMealInfoNSizeIs()` Gets the mealInfoNSizeIs value for this CfgShiftHolder.
    `CfgShift[]` | `getObjectArray()` Gets the objectArray value for this CfgShiftHolder.
    `int` | `getObjectArrayNSizeIs()` Gets the objectArrayNSizeIs value for this CfgShiftHolder.
    `int[]` | `getObjectIDArray()` Gets the objectIDArray value for this CfgShiftHolder.
    `int` | `getObjectIDArrayNSizeIs()` Gets the objectIDArrayNSizeIs value for this CfgShiftHolder.
    `CfgShiftShort[]` | `getObjectShortArray()` Gets the objectShortArray value for this CfgShiftHolder.
    `int` | `getObjectShortArrayNSizeIs()` Gets the objectShortArrayNSizeIs value for this CfgShiftHolder.
    `CfgTaskSequenceShort[]` | `getTaskSequenceInfo()` Gets the taskSequenceInfo value for this CfgShiftHolder.
    `int` | `getTaskSequenceInfoNSizeIs()` Gets the taskSequenceInfoNSizeIs value for this CfgShiftHolder.
    `long` | `getTimestamp()` Gets the timestamp value for this CfgShiftHolder.
    `int` | `hashCode()`
    `void` | `setBreakInfo(CfgBreakShort[] breakInfo)` Sets the breakInfo value for this CfgShiftHolder.
    `void` | `setBreakInfoNSizeIs(int breakInfoNSizeIs)` Sets the breakInfoNSizeIs value for this CfgShiftHolder.
    `void` | `setContractInfo(CfgContractShort[] contractInfo)` Sets the contractInfo value for this CfgShiftHolder.
    `void` | `setContractInfoNSizeIs(int contractInfoNSizeIs)` Sets the contractInfoNSizeIs value for this CfgShiftHolder.
    `void` | `setMealInfo(CfgMealShort[] mealInfo)` Sets the mealInfo value for this CfgShiftHolder.
    `void` | `setMealInfoNSizeIs(int mealInfoNSizeIs)` Sets the mealInfoNSizeIs value for this CfgShiftHolder.
    `void` | `setObjectArray(CfgShift[] objectArray)` Sets the objectArray value for this CfgShiftHolder.
    `void` | `setObjectArrayNSizeIs(int objectArrayNSizeIs)` Sets the objectArrayNSizeIs value for this CfgShiftHolder.
    `void` | `setObjectIDArray(int[] objectIDArray)` Sets the objectIDArray value for this CfgShiftHolder.
    `void` | `setObjectIDArrayNSizeIs(int objectIDArrayNSizeIs)` Sets the objectIDArrayNSizeIs value for this CfgShiftHolder.
    `void` | `setObjectShortArray(CfgShiftShort[] objectShortArray)` Sets the objectShortArray value for this CfgShiftHolder.
    `void` | `setObjectShortArrayNSizeIs(int objectShortArrayNSizeIs)` Sets the objectShortArrayNSizeIs value for this CfgShiftHolder.
    `void` | `setTaskSequenceInfo(CfgTaskSequenceShort[] taskSequenceInfo)` Sets the taskSequenceInfo value for this CfgShiftHolder.
    `void` | `setTaskSequenceInfoNSizeIs(int taskSequenceInfoNSizeIs)` Sets the taskSequenceInfoNSizeIs value for this CfgShiftHolder.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgShiftHolder.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### objectIDArrayNSizeIs

          private int objectIDArrayNSizeIs

    - #### objectIDArray

          private int[] objectIDArray

    - #### objectArrayNSizeIs

          private int objectArrayNSizeIs

    - #### objectArray

          private CfgShift[] objectArray

    - #### objectShortArrayNSizeIs

          private int objectShortArrayNSizeIs

    - #### objectShortArray

          private CfgShiftShort[] objectShortArray

    - #### contractInfoNSizeIs

          private int contractInfoNSizeIs

    - #### contractInfo

          private CfgContractShort[] contractInfo

    - #### breakInfoNSizeIs

          private int breakInfoNSizeIs

    - #### breakInfo

          private CfgBreakShort[] breakInfo

    - #### mealInfoNSizeIs

          private int mealInfoNSizeIs

    - #### mealInfo

          private CfgMealShort[] mealInfo

    - #### taskSequenceInfoNSizeIs

          private int taskSequenceInfoNSizeIs

    - #### taskSequenceInfo

          private CfgTaskSequenceShort[] taskSequenceInfo

    - #### timestamp

          private long timestamp

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgShiftHolder

          public CfgShiftHolder()

    - #### CfgShiftHolder

          public CfgShiftHolder(int objectIDArrayNSizeIs,
                        int[] objectIDArray,
                        int objectArrayNSizeIs,
                        CfgShift[] objectArray,
                        int objectShortArrayNSizeIs,
                        CfgShiftShort[] objectShortArray,
                        int contractInfoNSizeIs,
                        CfgContractShort[] contractInfo,
                        int breakInfoNSizeIs,
                        CfgBreakShort[] breakInfo,
                        int mealInfoNSizeIs,
                        CfgMealShort[] mealInfo,
                        int taskSequenceInfoNSizeIs,
                        CfgTaskSequenceShort[] taskSequenceInfo,
                        long timestamp)

  - ### Method Detail

    - #### getObjectIDArrayNSizeIs

          public int getObjectIDArrayNSizeIs()

      Gets the objectIDArrayNSizeIs value for this CfgShiftHolder.
      Returns:
        objectIDArrayNSizeIs

    - #### setObjectIDArrayNSizeIs

          public void setObjectIDArrayNSizeIs(int objectIDArrayNSizeIs)

      Sets the objectIDArrayNSizeIs value for this CfgShiftHolder.
      Parameters:
        `objectIDArrayNSizeIs` -

    - #### getObjectIDArray

          public int[] getObjectIDArray()

      Gets the objectIDArray value for this CfgShiftHolder.
      Returns:
        objectIDArray

    - #### setObjectIDArray

          public void setObjectIDArray(int[] objectIDArray)

      Sets the objectIDArray value for this CfgShiftHolder.
      Parameters:
        `objectIDArray` -

    - #### getObjectArrayNSizeIs

          public int getObjectArrayNSizeIs()

      Gets the objectArrayNSizeIs value for this CfgShiftHolder.
      Returns:
        objectArrayNSizeIs

    - #### setObjectArrayNSizeIs

          public void setObjectArrayNSizeIs(int objectArrayNSizeIs)

      Sets the objectArrayNSizeIs value for this CfgShiftHolder.
      Parameters:
        `objectArrayNSizeIs` -

    - #### getObjectArray

          public CfgShift[] getObjectArray()

      Gets the objectArray value for this CfgShiftHolder.
      Returns:
        objectArray

    - #### setObjectArray

          public void setObjectArray(CfgShift[] objectArray)

      Sets the objectArray value for this CfgShiftHolder.
      Parameters:
        `objectArray` -

    - #### getObjectShortArrayNSizeIs

          public int getObjectShortArrayNSizeIs()

      Gets the objectShortArrayNSizeIs value for this CfgShiftHolder.
      Returns:
        objectShortArrayNSizeIs

    - #### setObjectShortArrayNSizeIs

          public void setObjectShortArrayNSizeIs(int objectShortArrayNSizeIs)

      Sets the objectShortArrayNSizeIs value for this CfgShiftHolder.
      Parameters:
        `objectShortArrayNSizeIs` -

    - #### getObjectShortArray

          public CfgShiftShort[] getObjectShortArray()

      Gets the objectShortArray value for this CfgShiftHolder.
      Returns:
        objectShortArray

    - #### setObjectShortArray

          public void setObjectShortArray(CfgShiftShort[] objectShortArray)

      Sets the objectShortArray value for this CfgShiftHolder.
      Parameters:
        `objectShortArray` -

    - #### getContractInfoNSizeIs

          public int getContractInfoNSizeIs()

      Gets the contractInfoNSizeIs value for this CfgShiftHolder.
      Returns:
        contractInfoNSizeIs

    - #### setContractInfoNSizeIs

          public void setContractInfoNSizeIs(int contractInfoNSizeIs)

      Sets the contractInfoNSizeIs value for this CfgShiftHolder.
      Parameters:
        `contractInfoNSizeIs` -

    - #### getContractInfo

          public CfgContractShort[] getContractInfo()

      Gets the contractInfo value for this CfgShiftHolder.
      Returns:
        contractInfo

    - #### setContractInfo

          public void setContractInfo(CfgContractShort[] contractInfo)

      Sets the contractInfo value for this CfgShiftHolder.
      Parameters:
        `contractInfo` -

    - #### getBreakInfoNSizeIs

          public int getBreakInfoNSizeIs()

      Gets the breakInfoNSizeIs value for this CfgShiftHolder.
      Returns:
        breakInfoNSizeIs

    - #### setBreakInfoNSizeIs

          public void setBreakInfoNSizeIs(int breakInfoNSizeIs)

      Sets the breakInfoNSizeIs value for this CfgShiftHolder.
      Parameters:
        `breakInfoNSizeIs` -

    - #### getBreakInfo

          public CfgBreakShort[] getBreakInfo()

      Gets the breakInfo value for this CfgShiftHolder.
      Returns:
        breakInfo

    - #### setBreakInfo

          public void setBreakInfo(CfgBreakShort[] breakInfo)

      Sets the breakInfo value for this CfgShiftHolder.
      Parameters:
        `breakInfo` -

    - #### getMealInfoNSizeIs

          public int getMealInfoNSizeIs()

      Gets the mealInfoNSizeIs value for this CfgShiftHolder.
      Returns:
        mealInfoNSizeIs

    - #### setMealInfoNSizeIs

          public void setMealInfoNSizeIs(int mealInfoNSizeIs)

      Sets the mealInfoNSizeIs value for this CfgShiftHolder.
      Parameters:
        `mealInfoNSizeIs` -

    - #### getMealInfo

          public CfgMealShort[] getMealInfo()

      Gets the mealInfo value for this CfgShiftHolder.
      Returns:
        mealInfo

    - #### setMealInfo

          public void setMealInfo(CfgMealShort[] mealInfo)

      Sets the mealInfo value for this CfgShiftHolder.
      Parameters:
        `mealInfo` -

    - #### getTaskSequenceInfoNSizeIs

          public int getTaskSequenceInfoNSizeIs()

      Gets the taskSequenceInfoNSizeIs value for this CfgShiftHolder.
      Returns:
        taskSequenceInfoNSizeIs

    - #### setTaskSequenceInfoNSizeIs

          public void setTaskSequenceInfoNSizeIs(int taskSequenceInfoNSizeIs)

      Sets the taskSequenceInfoNSizeIs value for this CfgShiftHolder.
      Parameters:
        `taskSequenceInfoNSizeIs` -

    - #### getTaskSequenceInfo

          public CfgTaskSequenceShort[] getTaskSequenceInfo()

      Gets the taskSequenceInfo value for this CfgShiftHolder.
      Returns:
        taskSequenceInfo

    - #### setTaskSequenceInfo

          public void setTaskSequenceInfo(CfgTaskSequenceShort[] taskSequenceInfo)

      Sets the taskSequenceInfo value for this CfgShiftHolder.
      Parameters:
        `taskSequenceInfo` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgShiftHolder.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgShiftHolder.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.